Package be.fgov.ehealth.dics.protocol.v5

# Class FindReferencesResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.dics.protocol.v5.DicsResponseType
be.fgov.ehealth.dics.protocol.v5.FindReferencesResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindReferencesResponse extends DicsResponseType implements Serializable

Java class for FindReferencesResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindReferencesResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
           <sequence minOccurs="0">
             <group ref="{urn:be:fgov:ehealth:dics:protocol:v5}FamhpMainEntities"/>
             <group ref="{urn:be:fgov:ehealth:dics:protocol:v5}BcpiMainEntities"/>
             <group ref="{urn:be:fgov:ehealth:dics:protocol:v5}NihdiEntities"/>
             <group ref="{urn:be:fgov:ehealth:dics:protocol:v5}ReferenceAdditionalEntities"/>
             <element name="GenericReferenceTable" type="{urn:be:fgov:ehealth:dics:protocol:v5}GenericReferenceTableType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindReferencesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Appendix>`
  `getAppendixes()`
  Gets the value of the appendixes property.
  `List<AtcClassification>`
  `getAtcClassifications()`
  Gets the value of the atcClassifications property.
  `List<DeliveryModus>`
  `getDeliveryModuses()`
  Gets the value of the deliveryModuses property.
  `List<DeliveryModusSpecification>`
  `getDeliveryModusSpecifications()`
  Gets the value of the deliveryModusSpecifications property.
  `List<DeviceType>`
  `getDeviceTypes()`
  Gets the value of the deviceTypes property.
  `List<FormCategory>`
  `getFormCategories()`
  Gets the value of the formCategories property.
  `GenericReferenceTableType`
  `getGenericReferenceTable()`
  Generic Reference Table designed to return reference data currently not yet available in SAM.
  `List<NoGenericPrescriptionReason>`
  `getNoGenericPrescriptionReasons()`
  Gets the value of the noGenericPrescriptionReasons property.
  `List<NoSwitchReason>`
  `getNoSwitchReasons()`
  Gets the value of the noSwitchReasons property.
  `List<PackagingClosure>`
  `getPackagingClosures()`
  Gets the value of the packagingClosures property.
  `List<PackagingMaterial>`
  `getPackagingMaterials()`
  Gets the value of the packagingMaterials property.
  `List<PackagingType>`
  `getPackagingTypes()`
  Gets the value of the packagingTypes property.
  `List<Parameter>`
  `getParameters()`
  Gets the value of the parameters property.
  `List<PharmaceuticalForm>`
  `getPharmaceuticalForms()`
  Gets the value of the pharmaceuticalForms property.
  `List<ReimbursementCriterion>`
  `getReimbursementCriterions()`
  Gets the value of the reimbursementCriterions property.
  `List<RouteOfAdministration>`
  `getRouteOfAdministrations()`
  Gets the value of the routeOfAdministrations property.
  `List<ConsultStandardFormAndPhFrmAndVtlFrmType>`
  `getStandardForms()`
  Pharmaceutical Forms in an (inter)national standard Gets the value of the standardForms property.
  `List<ConsultStandardRouteAndRouteOfAdministrationType>`
  `getStandardRoutes()`
  Routes of Administration in an (inter)national standard.
  `List<ConsultStandardSubstanceAndSubstanceType>`
  `getStandardSubstances()`
  Substances in an (inter)national standard.
  `List<StandardUnitFamhpType>`
  `getStandardUnits()`
  List of units of measurement available in SAM.
  `List<Substance>`
  `getSubstances()`
  Gets the value of the substances property.
  `List<VirtualForm>`
  `getVirtualForms()`
  Gets the value of the virtualForms property.
  `List<Wada>`
  `getWadas()`
  Gets the value of the wadas property.
  `void`
  `setGenericReferenceTable(GenericReferenceTableType value)`
  Sets the value of the genericReferenceTable property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

  `getSamId, getSearchDate, setSamId, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindReferencesResponse

    public FindReferencesResponse()

- ## Method Details

  - ### getAtcClassifications

    public List<AtcClassification> getAtcClassifications()
    Gets the value of the atcClassifications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcClassifications property.

    For example, to add a new item, do as follows:

         getAtcClassifications().add(newItem);

    Objects of the following type(s) are allowed in the list `AtcClassification`

    Returns:
      The value of the atcClassifications property.

  - ### getDeliveryModuses

    public List<DeliveryModus> getDeliveryModuses()
    Gets the value of the deliveryModuses property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deliveryModuses property.

    For example, to add a new item, do as follows:

         getDeliveryModuses().add(newItem);

    Objects of the following type(s) are allowed in the list `DeliveryModus`

    Returns:
      The value of the deliveryModuses property.

  - ### getDeliveryModusSpecifications

    public List<DeliveryModusSpecification> getDeliveryModusSpecifications()
    Gets the value of the deliveryModusSpecifications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deliveryModusSpecifications property.

    For example, to add a new item, do as follows:

         getDeliveryModusSpecifications().add(newItem);

    Objects of the following type(s) are allowed in the list `DeliveryModusSpecification`

    Returns:
      The value of the deliveryModusSpecifications property.

  - ### getDeviceTypes

    public List<DeviceType> getDeviceTypes()
    Gets the value of the deviceTypes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deviceTypes property.

    For example, to add a new item, do as follows:

         getDeviceTypes().add(newItem);

    Objects of the following type(s) are allowed in the list `DeviceType`

    Returns:
      The value of the deviceTypes property.

  - ### getPackagingClosures

    public List<PackagingClosure> getPackagingClosures()
    Gets the value of the packagingClosures property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingClosures property.

    For example, to add a new item, do as follows:

         getPackagingClosures().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingClosure`

    Returns:
      The value of the packagingClosures property.

  - ### getPackagingMaterials

    public List<PackagingMaterial> getPackagingMaterials()
    Gets the value of the packagingMaterials property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingMaterials property.

    For example, to add a new item, do as follows:

         getPackagingMaterials().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingMaterial`

    Returns:
      The value of the packagingMaterials property.

  - ### getPackagingTypes

    public List<PackagingType> getPackagingTypes()
    Gets the value of the packagingTypes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingTypes property.

    For example, to add a new item, do as follows:

         getPackagingTypes().add(newItem);

    Objects of the following type(s) are allowed in the list `PackagingType`

    Returns:
      The value of the packagingTypes property.

  - ### getPharmaceuticalForms

    public List<PharmaceuticalForm> getPharmaceuticalForms()
    Gets the value of the pharmaceuticalForms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pharmaceuticalForms property.

    For example, to add a new item, do as follows:

         getPharmaceuticalForms().add(newItem);

    Objects of the following type(s) are allowed in the list `PharmaceuticalForm`

    Returns:
      The value of the pharmaceuticalForms property.

  - ### getRouteOfAdministrations

    public List<RouteOfAdministration> getRouteOfAdministrations()
    Gets the value of the routeOfAdministrations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

    For example, to add a new item, do as follows:

         getRouteOfAdministrations().add(newItem);

    Objects of the following type(s) are allowed in the list `RouteOfAdministration`

    Returns:
      The value of the routeOfAdministrations property.

  - ### getSubstances

    public List<Substance> getSubstances()
    Gets the value of the substances property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substances property.

    For example, to add a new item, do as follows:

         getSubstances().add(newItem);

    Objects of the following type(s) are allowed in the list `Substance`

    Returns:
      The value of the substances property.

  - ### getNoSwitchReasons

    public List<NoSwitchReason> getNoSwitchReasons()
    Gets the value of the noSwitchReasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noSwitchReasons property.

    For example, to add a new item, do as follows:

         getNoSwitchReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `NoSwitchReason`

    Returns:
      The value of the noSwitchReasons property.

  - ### getVirtualForms

    public List<VirtualForm> getVirtualForms()
    Gets the value of the virtualForms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the virtualForms property.

    For example, to add a new item, do as follows:

         getVirtualForms().add(newItem);

    Objects of the following type(s) are allowed in the list `VirtualForm`

    Returns:
      The value of the virtualForms property.

  - ### getWadas

    public List<Wada> getWadas()
    Gets the value of the wadas property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wadas property.

    For example, to add a new item, do as follows:

         getWadas().add(newItem);

    Objects of the following type(s) are allowed in the list `Wada`

    Returns:
      The value of the wadas property.

  - ### getNoGenericPrescriptionReasons

    public List<NoGenericPrescriptionReason> getNoGenericPrescriptionReasons()
    Gets the value of the noGenericPrescriptionReasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noGenericPrescriptionReasons property.

    For example, to add a new item, do as follows:

         getNoGenericPrescriptionReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `NoGenericPrescriptionReason`

    Returns:
      The value of the noGenericPrescriptionReasons property.

  - ### getAppendixes

    public List<Appendix> getAppendixes()
    Gets the value of the appendixes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the appendixes property.

    For example, to add a new item, do as follows:

         getAppendixes().add(newItem);

    Objects of the following type(s) are allowed in the list `Appendix`

    Returns:
      The value of the appendixes property.

  - ### getFormCategories

    public List<FormCategory> getFormCategories()
    Gets the value of the formCategories property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the formCategories property.

    For example, to add a new item, do as follows:

         getFormCategories().add(newItem);

    Objects of the following type(s) are allowed in the list `FormCategory`

    Returns:
      The value of the formCategories property.

  - ### getParameters

    public List<Parameter> getParameters()
    Gets the value of the parameters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

    For example, to add a new item, do as follows:

         getParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `Parameter`

    Returns:
      The value of the parameters property.

  - ### getReimbursementCriterions

    public List<ReimbursementCriterion> getReimbursementCriterions()
    Gets the value of the reimbursementCriterions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementCriterions property.

    For example, to add a new item, do as follows:

         getReimbursementCriterions().add(newItem);

    Objects of the following type(s) are allowed in the list `ReimbursementCriterion`

    Returns:
      The value of the reimbursementCriterions property.

  - ### getStandardForms

    public List<ConsultStandardFormAndPhFrmAndVtlFrmType> getStandardForms()
    Pharmaceutical Forms in an (inter)national standard Gets the value of the standardForms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardForms property.

    For example, to add a new item, do as follows:

         getStandardForms().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultStandardFormAndPhFrmAndVtlFrmType`

    Returns:
      The value of the standardForms property.

  - ### getStandardRoutes

    public List<ConsultStandardRouteAndRouteOfAdministrationType> getStandardRoutes()
    Routes of Administration in an (inter)national standard. Gets the value of the standardRoutes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardRoutes property.

    For example, to add a new item, do as follows:

         getStandardRoutes().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultStandardRouteAndRouteOfAdministrationType`

    Returns:
      The value of the standardRoutes property.

  - ### getStandardSubstances

    public List<ConsultStandardSubstanceAndSubstanceType> getStandardSubstances()
    Substances in an (inter)national standard. Gets the value of the standardSubstances property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardSubstances property.

    For example, to add a new item, do as follows:

         getStandardSubstances().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultStandardSubstanceAndSubstanceType`

    Returns:
      The value of the standardSubstances property.

  - ### getStandardUnits

    public List<StandardUnitFamhpType> getStandardUnits()
    List of units of measurement available in SAM. Gets the value of the standardUnits property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardUnits property.

    For example, to add a new item, do as follows:

         getStandardUnits().add(newItem);

    Objects of the following type(s) are allowed in the list `StandardUnitFamhpType`

    Returns:
      The value of the standardUnits property.

  - ### getGenericReferenceTable

    public GenericReferenceTableType getGenericReferenceTable()
    Generic Reference Table designed to return reference data currently not yet available in SAM.
    Returns:
      possible object is `GenericReferenceTableType`

  - ### setGenericReferenceTable

    public void setGenericReferenceTable(GenericReferenceTableType value)
    Sets the value of the genericReferenceTable property.
    Parameters:
      `value` - allowed object is `GenericReferenceTableType`
    See Also:
      - `getGenericReferenceTable()`